aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Bronder <jsbronder@gentoo.org>2017-03-22 20:25:52 -0400
committerJustin Bronder <jsbronder@gentoo.org>2017-03-22 20:26:23 -0400
commitc00fb25cc919a08559292efab2e1ddd616041318 (patch)
treec2ababf917056d21570dc8c612576249670073c0
parentMerge branch 'master' of git+ssh://git.gentoo.org/proj/sci (diff)
downloadsci-c00fb25cc919a08559292efab2e1ddd616041318.tar.gz
sci-c00fb25cc919a08559292efab2e1ddd616041318.tar.bz2
sci-c00fb25cc919a08559292efab2e1ddd616041318.zip
sys-cluster/openmpi: remove dead symlinks
With USE=-fortran, some symlinks were still being installed. Thanks to Arfrever Frehtes Taifersar Arahesis, #612586 Package-Manager: portage-2.3.3
-rw-r--r--sys-cluster/openmpi/openmpi-2.1.0-r1.ebuild (renamed from sys-cluster/openmpi/openmpi-2.1.0.ebuild)7
1 files changed, 6 insertions, 1 deletions
diff --git a/sys-cluster/openmpi/openmpi-2.1.0.ebuild b/sys-cluster/openmpi/openmpi-2.1.0-r1.ebuild
index cf808b6ae..0b22945ee 100644
--- a/sys-cluster/openmpi/openmpi-2.1.0.ebuild
+++ b/sys-cluster/openmpi/openmpi-2.1.0-r1.ebuild
@@ -148,7 +148,12 @@ multilib_src_install() {
mv "${ED}"/$(mpi_root)/usr/include/mpif* "${T}"/fortran || die
else
# some fortran files get installed unconditionally
- rm "${ED}"/$(mpi_root)/usr/include/mpif* "${ED}"usr/bin/mpif* || die
+ rm \
+ "${ED}"/$(mpi_root)/usr/include/mpif* \
+ "${ED}"/$(mpi_root)/usr/bin/mpif* \
+ "${ED}"/$(mpi_root)/usr/bin/oshfort \
+ "${ED}"/$(mpi_root)/usr/bin/shmemfort \
+ || die
fi
}